> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.5.0/reference/telemetry-providers.md).

# Telemetry metric mapping

This section documents the mapping between the metrics provided by Telemetry Providers and the Akamas metrics for each supported component type.

| Telemetry Provider                                                                                                             | Telemetry Provider metric mapping                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------- |
| [CSV](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/csv-provider.md)                                          | no predefined mapping as CSV provider is extensible                                                                              |
| [Dynatrace](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/dynatrace-provider.md)                              | [Dynatrace metrics mapping](/akamas-docs/3.5.0/reference/telemetry-providers/dynatrace-metrics-mapping.md)                       |
| [Prometheus](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/prometheus-provider.md)                            | [Prometheus metrics mapping](/akamas-docs/3.5.0/reference/telemetry-providers/prometheus-metrics-mapping.md)                     |
| [NeoLoadWeb](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/neoloadweb-provider.md)                            | [NeoLoadWeb metrics mapping](/akamas-docs/3.5.0/reference/telemetry-providers/loadrunner-metrics-mapping.md)                     |
| [Spark History Server](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/spark-history-server-provider.md)        | [Spark History Server metrics mapping](/akamas-docs/3.5.0/reference/telemetry-providers/spark-history-server-metrics-mapping.md) |
| [Load Runner Enterprise](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/loadrunner-enterprise-provider.md)     | [Load Runner metrics mapping](/akamas-docs/3.5.0/reference/telemetry-providers/loadrunner-metrics-mapping.md)                    |
| [Load Runner Professional](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/loadrunner-professional-provider.md) | [Load Runner metrics mapping](/akamas-docs/3.5.0/reference/telemetry-providers/loadrunner-metrics-mapping.md)                    |
| [AWS](/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/aws-provider.md)                                          |                                                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/telemetry-providers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
